FUNCTION::STACK(3stap)

NAME
function::stack - Return address at given depth of kernel stack backtrace

SYNOPSIS

    stack:long(n:long)

ARGUMENTS

n
    number of levels to descend in the stack.

DESCRIPTION

Performs a simple (kernel) backtrace, and returns the element at the specified position. The results of the backtrace itself are cached, so that the backtrace computation is performed at most once no matter how many times stack is called, or in what order.

SEE ALSO
tapset::context-symbols(3stap)